PocketELogs - Overview

Revision 1, SWP, 30-dec-2008

Smart Valve for PalmOS User Guide

Overview

Chapter Contents:

  • Smart Valve Hardware
  • Smart Valve for PalmOS

Smart Valve Hardware

The radio module is installed in expansion module of the Aceeca handheld computer. It is used to contact and control the radio transceiver mounted on the Smart Valve.

Smart Valve for PalmOS

The Smart Valve for PalmOS software is used to control the transceiver module in the Aceeca handheld computer. The software can be used to download Tasks to be completeted by an operator.

The software can also be used to determine Smart Valve devices in the area and either close or open the devices.

A hotsync conduit is also provided for to transfer tasks to be completed to the handheld computer. Further a permanent log of the open and close activity is kept on the handheld computer and transferred to the desktop computer each time a Hotsync is completed.

The Palm Desktop® software must be installed on the desktop computer and should be installed before installing the Smart Valve for PalmOS software.

Windows XP® or Windows Vista® are required for the hotsync conduit to operate.

Page Info
© 2008, Ionware, Inc., All rights reserved.


Package Installation

Chapter Contents:

  • Overview of Installation
  • Starting the Installation

Overview of Installation

The installation of Smart Valve for PalmOS is simple. You will find the package and double click on it. Then follow the prompts.

You should have already installed the Palm Desktop software. This is the CD-ROM which is included in the handheld computer box. If you have not installed that software, install that first.

You will need to hotsync each handheld computer at least one time before beginning the Smart Valve for PalmOS installation.

The installer will setup the PalmOS program to be transferred to the handheld computer for the next hotsync. This will install the application on your handheld computer. If you are using Task lists, you will then need to configure the hotsync conduit.

Lastly, please enter the unlock code on the handheld computer. You will then be ready to use Smart Valve for PalmOS.

Starting the Installation

Find the installer icon (similar) to above on your Desktop or other media. Double click on the icon to begin the installation.

Click Next on the welcome screen.

Review the License Agreement and click I Accept and then click Next.

Either modify the installation location or accept the default installation locatino. Click Next.

Review the list of PalmOS accounts installed on your system. You can select multiple accounts. If your handheld device is not listed, likely you have not hotsynced your handheld device at least once to establish an account. If needed, cancel out of this installation, hotsync your handheld to establish an account and then re-run this installation.

Click Finish to complete the installation. You should hotsync your handheld computer at this time and then verify the Smart Valve program is installed on that computer.

If you do not see the Smart Valve icon, change the category in the upper right corner to All and then scroll down to the S section.

The Smart Valve icon should be in the list.

Page Info
© 2008, Ionware, Inc., All rights reserved.


Configure Hotsync Conduit

  • When to use the Hotsync Conduit
  • Configuring the Hotsync Conduit
  • Hotsync the Handheld Computer

When to use the Hotsync Conduit

Use of the hotsync conduit for is optional. The conduit transfers tasks to be comppleted to the operator. The task included the name and address of the service in addition to the time and date the valve should be opened or closed. Also the handheld keeps a log of all opens and closures on the handheld. When you configure the hotsync conduit, the task history is transferred and appended to a permanent log on the desktop computer.

If you are not planning to use the hotsync software, you can use Smart Valve for PalmOS to view Smart Valve devices in the area and then open and close the valve.

The configuration of the conduit is to simply to specify the task file to be sent to the handheld computer and specify the name of the file where the task history should be accumulated and stored on the desktop computer.

A sample of the task file is placed in the installation folder during installation. A file definition of both the task and task history file is included in this help document in the section Smart Valve Data Interface.

The data files are simple, fixed-width text files.

Configuring the Hotsync Conduit

Find the red/blue circle running in the system tray of your computer. If you do not see the icon, sometimes the operating system collapses the system tray to keep the icons concise. Expand the system tray by click on the arrows which point to the left.

If you still do not see the red/blue circle in the system tray, you may need to start the program by clicking Start, All Programs, Palm Desktop and then HotSync Manager. If this makes it visible, go into the Palm Desktop and choose Hotsync, Setup. Set the HotSync manager to run each time Windows ® is started.

Right-click on the hotsync icon when you find it.

Choose Custom...

Hilight the Smart Valve Conduit from the list and then click Change...

The configuration dialog box displays the Path to the Task File and the Task History File. Enter the full paths to this files and click OK. Click OK on the Custom Dialog box to dismiss the Hotsync Manager.

Hotsync the Handheld Computer

After configuring the hotsync conduit, find the HotSync icon on the handheld computer and tap it. If you do not see that icon, change the category selector in the upper, right corner to All You should find the icon in the H section.

Tap the center icon to start the hotsync. Any prepared tasks will be sent to the handheld and merged with the existing tasks. Any task history records on the handheld will transferred to the desktop computer where they will be appended in the permanent file specified in Task History of the Smart Valve hotsync conduit. The task history records will then be removed from the handheld computer since they are stored on the desktop computer.

Page Info
© 2008, Ionware, Inc., All rights reserved.


Using the Smart Valve Handheld Software

  • Overview of Software
  • Valve Operation
  • Starting the Software
  • Menu Choices
  • Using the Tasks Screen
  • Using the Proximity Screen

Overview of Software

Smart Valve for PalmOS is used to open or close Smart Valve devices installed at water meter services. The valve can be either open or closed without entering the premises or opening a pit lid. The handheld computer must be within the proximity of the valve to actuate the device.

The software will either work with valved that are listed on the Task List or it will work with the valves found in the area using the proximity screen. The handheld computer will show the number of devices in the area and then work with them in a list.

Valve Operation

The Smart Valve device has a battery which energizes a capacitor to actuate the valve when its radio controller receives instructions from the handheld computer.

About every 5 seconds, the Smart Valve device transmits its unique identifier and among other things, its current open or close state.

The handheld computer listens for these signals (called chirps) and assembles a list of Smart Valves that in the area. This list is used by the tasks screen and the proximity screen and permit you to change the valve from open to closed or from closed to open.

The radio module inside the handheld computer will accept and store your command until it hears the chirp from the Smart Valve device. When the chirp is heard, the radio module will then transmit the open/close instruction to the device. This means that there is a delay between the time you operate the software and provide the instruction and the valve actuates.

Because of this delay, feedback is provided to indicate the status of the valve change.

Starting the Software

Start the program by tappping the Smart Valve icon. If you do not see the icon, change the category in the upper, right corner to All and then scroll down to the S section.

If you have not entered the unlock code for your handheld device, you will see this Alert message that the unlock code needs to be entered. Tap OK to dismiss the message.

Menu Choices

The menu can be accessed from the main screen by tapping the word Tasks in the upper, left corner or just tapping the menu icon just below the house icon.

Preferences... | Used to set the operational preferences of the program. There are no preferences at this time.
About Smart Valve | Used to display the copyright information and the version of the radio module & version of the handheld software.
Enter Unlock Code | Used to enter the unlocking code for this handheld computer. After the unlock code has been accepted, this menu option is no longer available.

The copyright information about the software is shown. The firmware version number of the radio module installed in the handheld is displayed. If the module has not replied with the version inquiry request, No answer will be displayed until the module replies.

Lastly, the handheld software version number is displayed.

The last 6 Smart Valve devices detected in range are displayed at the bottom of the main screen.

The unlock code should be provided with the handheld computer. The unlock code is created based on the Licensee Name and the seral number of the handheld computer. Thus, their will be an unlock code for each handheld computer.

Tap in the Licensed To: field and the use the onscreen keyboard to enter your licensee information. This value is provided by your supplier.

Next, tap in the Unlock Code field and tap in the 10 digit unlock code. There must by a hyphen (-) between the first 5 and last 5 characters of the unlock code. This value is provided by your supplier.

Then tap OK to complete the entry.

The program will respond Unlock code was accepted if the unlock code was entered correctly.
If not, please review your entries and make corrections.

Using the Tasks Screen

In the upper right corner of the task screen, you can choose between the status of the tasks stored on the handheld computer.

All | Tasks at any status.
Complete | Tasks which are complete. Valve state was succesfully changed.
Uncopmlete | Valve state change has not been attempted yet.
Exception | Valve state change was attempted but was not successful.

The task screen is separated into differnt regions. The central table lists the tasks matching the catergoy selected by the category selector (upper right corner). A choice of All will display all records.

The numbers along the bottom edge of the screen are the last 6 modules which were heard by the handheld computer.

The button with the number indicates a count of the number of Smart Valves in the area. Tapping this button will display the proximity screen. The proximity screen permits allows the operator to actuate the valves which are in the area.

To work with valves that still require change, select the Uncomplete category. Only tasks not yet complete can be opened or closed. Switch to the Uncompleted category to view those valves that still require change.

The icon shown above represents a task and the valve needs to be closed. The actual state currently is likely open but the task is to close the vavle.

Conversely, the icon shown above represents a task and the valve needs to be opened. The actual state currently is likely closed but the task is to open the vavle.

To change a valve from opened to closed or close to opened, select the Uncompleted category from the upper right corner. The Alert above will be shown that you need to be in the Uncompleted status to work with valves in the task list.

Secondarily, you should be near the valve to be actuated. When you select a Uncompleted task, the proram will compare the unique identifier of the SmartVavle device to the list of the Smart Valve devices in the proximity list. If the value does not exist in the list, you are not close enough to the physical valve for the radio module to hear the chirp. Move closer or relocate yourself to the valve and try again.

The alert above will be displayed if the Smart Valve to be actuated is not in the proximity list.

After the program confirms the valve is close enough range to be actuated, it will confirm you actually want to open or close the valve. Tap Yes to perform the change or No if you change your mind and elect not to perform the change.

The program will assemble the instruction and pass it to the radio module where it is held until the Smart Valve chirps. Then the radio module will instruct the valve to either open or close. The program will count down from 10 to 1 waiting for the Smart Valve device to acknowledge the command. Once the Smart Valve receives and understands the instruction, it will reply with an acknowledgement. The program will display an ACK message when it receives the acknowledgement. The valve can take up to 10 seconds to actually change state. After the valve chirps again, the program will confirm the valve's state is the same as the requested state. If so, the valve change was successful and a checkmark will be displayed on the icon to indicate the task completed successfully.

If the command is sent to the radio module and the counter counts down to 0, the radio did not acknowledge the command. An X icon will be displayed indicating the valve failed to change state. You should either try to procedure again or move closer to the Smart Valve device.

Using the Proximity Screen

The proximity screen is used to work with Smart Valve devices in the area. When a chirp is heard from a radio, it is added to the list. If the radio's chirp as not been received in a while, it will be removed from the list. The proximity screenw works with only devices in range.

The proximty button shows the number of devices in range. If the valve is 0 there are no Smart Valve devices in range and there are no radios in the list. The program will not switch to the proximity screen if no radios are in range.

The last 6 Smart Valve devices detected in range are displayed at the bottom of the main screen.

A list of Smart Valve devices in the area (in the proximity list) are shown on the proximity form. Use the scroll bar along the right edge to reposition the list.

Tap on the valve you wish to change state.

The program will ask if you want to either OPEN or CLOSE the valve. Tap Yes to perform the change or No if you change your mind and elect not to perform the change.

The program will assemble the instruction and pass it to the radio module where it is held until the Smart Valve chirps. Then the radio module will instruct the valve to either open or close. The program will count down from 10 to 1 waiting for the Smart Valve device to acknowledge the command. Once the Smart Valve receives and understands the instruction, it will reply with an acknowledgement. The program will display an ACK message when it receives the acknowledgement. The valve can take up to 10 seconds to actually change state. After the valve chirps again, the program will confirm the valve's state is the same as the requested state. If so, the valve change was successful and a checkmark will be displayed on the icon to indicate the task completed successfully.

If the command is sent to the radio module and the counter counts down to 0, the radio did not acknowledge the command. An X icon will be displayed indicating the valve failed to change state. You should either try to procedure again or move closer to the Smart Valve device.

Page Info
© 2008, Ionware, Inc., All rights reserved.


Smart Valve - Contacting Support

Revision 1, SWP, 30-dec-2008

Smart Valve for PalmOS User Guide

Contacting Support

Chapter Contents:

  • Contacting RadioTech
  • Contacting Ionware
  • Contacting Aceeca

Contacting RadioTech

Radio and Smart Valve device
Support Hours: | 9:00 a.m. to 5:00 p.m. UK Time
Phone: | +44 1279 635 849
e-mai: | support@radio-tech.co.uk
address: | Radio-Tech, Ltd U1 & U2 London Road Campus London Road Harlow Essex CM17 9NA

Contacting Ionware

Software Support and Development
Support Hours: | 8:00 a.m. to 5:00 p.m. C.S.T.
Phone: | (636) 273-4225
e-mai: | support@ionware.com
address: | Ionware, Inc. 1455 Westhampton View Lane Chesterfield, MO 63005 U.S.A.

Contacting Aceeca

Aceeca Handheld Computer
Support Hours: | 9:00 a.m. to 5:00 p.m. Auckland
Phone: | +64 3 3296896
e-mai: | techsupport@aceeca.com
address: | Aceeca International, Ltd. 205 Barnes Road, RD2 Ladbrooks Christchurch 7672 NEW ZEALAND

Page Info
© 2008, Ionware, Inc., All rights reserved.


Smart Valve Interface Desription

Revision 2, SWP, 18-dec-2008

Smart Valve for PalmOS User Guide

Smart Valve Interface Description

Task Table

The Task Table file is prepared on desktop computer and is available prior to the HotSync. If the file does not exist, no updates to the Task table on the handheld will be made.

The Task Table file's location will be known by the conduit preferences in the Hotsync Custom dialog. The file is deleted after download to the handheld.

A row in the Task Table file will be compared on these fields to determine if an update or insertion on the handheld should occur: UniqueID, Route, Requested Status.

The Task Table record will be removed from handheld during the hotsync when the Requested Status = Updated Status. The Updated status is stored after an attempt is made on the handheld. For instance, if the Requested Status is C (closed) and the handheld achieves updating the valve to C (closed), the record will be removed from the handheld. Otherwise, the task remains on the handheld.

The Record Action field is used to add, update or remove Tasks from the handheld. The match (key) uses the UniqueID field. Using an A Record Action code, the Task will be created on the handheld or the existing Task record on the handheld will be updated (based on matching UniqueID). A Task record will be removed from the handheld if a D Record Action code is used (matched on UniqueID).

Field No | Field | Start Col | End Col | Length | Field Type | Description
1 | RecordAction | 1 | 1 | 1 | Alphanumeric | A=Add or Update Record D=Delete Record
2 | UniqueID | 2 | 21 | 20 | Alphanumeric | Customer Account, Service Code
3 | Route | 22 | 25 | 4 | Alphanumeric | Route Number
4 | Name | 26 | 50 | 25 | Alphanumeric | Customer Name
5 | Address | 51 | 75 | 25 | Alphanumeric | Customer Address
6 | Transponder | 76 | 83 | 8 | Numeric | Radio ID
7 | Requsted Status | 84 | 84 | 1 | Code | C=Close, O=Open
8 | FILLER | 85 | 85 | 1 | SPACES | Spaces
9 | Response Code | 86 | 88 | 3 | Alphanumeric | 3 digit response code
10 | Scheduled Date | 89 | 96 | 8 | Date | Date action to be performed
11 | Scheduled Time | 97 | 104 | 6 | Time | Time action to be performed
12 | FILLER | 103 | 106 | 8 | SPACES | Spaces
13 | FILLER | 111 | 116 | 6 | SPACES | Spaces
14 | Note | 117 | 166 | 50 | Alphanumeric | Note to operator
15 | Response Text | 167 | 216 | 50 | Alphanumeric | Response from operator

Task History Table

The Task History file on the desktop computer is populated by the Hotsync. History records on the handheld not previously reported are returned to the desktop computer.

If the file does not exist, it is created. If the file cannot be created, the conduit fails and no other action is performed.

The Task History file's locaiton will be known by the conduit preferences in the Hotsync Customer dialog.

History records will be removed from the handheld when the Task Table record is removed from the handheld.

Field No | Field | Start Col | End Col | Length | Field Type | Description
1 | FILLER | 1 | 1 | 1 | SPACES | Spaces
2 | UniqueID | 2 | 21 | 20 | Alphanumeric | Customer Account, Service Code
3 | Route | 22 | 25 | 4 | Alphanumeric | Route Number
4 | Name | 26 | 50 | 25 | Alphanumeric | Customer Name
5 | Address | 51 | 76 | 25 | Alphanumeric | Customer Address
6 | Transponder | 76 | 83 | 8 | Numeric | Radio ID
7 | Requsted Status | 84 | 84 | 1 | Code | C=Close, O=Open, U=Unknown
8 | Success | 85 | 85 | 1 | Code | Y=Yes, N=No
9 | Response Code | 86 | 88 | 3 | Alphanumeric | 3 digit response code
10 | Scheduled Date | 89 | 96 | 8 | Date | Date action to be performed
11 | Scheduled Time | 97 | 104 | 6 | Time | Time action to be performed
12 | Action Date | 103 | 112 | 8 | Date | Date Action completed or attempted.
13 | Action Time | 111 | 120 | 6 | Time | Time Action completed or attempted.
14 | FILLER | 117 | 170 | 50 | SPACES | Spaces
15 | Response Text | 167 | 216 | 50 | Alphanumeric | Response from Operator
16 | Operator Initials | 217 | 221 | 5 | Alphanumeric | Operator Identifier

Page Info
© 2008, Ionware, Inc., All rights reserved.